#include <ToolsXMProtocol.h>
#include <File.h>
#include <XMCore.h>

#ifndef COMMUNICATION_H
#define COMMUNICATION_H

#define  CANAL_DE_DONNEES	"/home/daville/Projects/XMaths/flux/XMCorePipe"
#define	 TEMPS_ATTENTE		250000

XMPipe  *CreerFluxCommunication(int id, XMPipe *acon);
XMQuery *LireRequete(XMPipe *pipe);

SCConnection * ConnectClientToServer();
int	  SendReponseToClient(XMPipe *pipe, XMReponse *pReponse);
int	  SendFileReponseToClient(XMPipe *pipe, CFile<XMReponse *> *fReponse);
XMQuery   *ReadQueryFromClient();
int	  DisconnectClientToServer(int id_user);
int	  ReadQuery(XMQuery *query, int &id_client, int &id_query, char *query);
XMReponse *InitReponse(XMReponse *reponse);
XMReponse *MakeReponse(XMReponse *reponse, int id_client, int id_query, char *reponse);

#endif  /* XMCORE_H */