#include "IXMObjectX.h"


XMPloter *MakePloter(XMWhole *wh)
{
	int k;
	XMObjectX *ob;
	XMPloter *plter = new XMPloter(wh->Get()->Get(0)->GetName());
	k = (GetTypeMethodFor(wh->Get()->Get(0)->GetName()) == TM_UNKNOWN?0:1);
	for (ob=wh->Get()->Get(k);!wh->Get()->Eol();ob=wh->Get()->Get(++k)) plter->Add(ob);
	return plter;
}

SysCoord *MakeSysCoord(XMWhole *wh)
{
	int k=0;
	XMObjectX *ob;
	SysCoord *sys = new SysCoord;
	for (ob=wh->Get()->Get(k);!wh->Get()->Eol();ob=wh->Get()->Get(++k)) sys->Add((XMIntervalle *)ob);
	return sys;
}

XMObjectX *MakeObjectXForPlot(XMWhole *wh)
{
	bool Inter=true;
	XMObjectX *ob;
	XMTRACE("3.Ok %s\n", wh->Get()->Get(1)->GetName());
	for (wh->Get()->MoveFirst(ob);(!wh->Get()->Eol()) && (Inter);wh->Get()->MoveNext(ob))
	{
		XMTRACE("Objetc: %s %d\n",ob->GetName(), ob->Type());
		Inter=Inter && (ob->Type()==TO_INTERVALLE);
	}
	XMTRACE("4.Ok\n");
	return (Inter?MakeSysCoord(wh):MakePloter(wh));
}


XMPlot* MakePlot(XMWhole *whole, char *nom, char **var, TYPE *val=NULL)
{
	XMPlot *plt;
	XMObjectX *objx;
	plt = new XMPlot2D();
	plt->SetName(nom);
	for (whole->Get()->MoveFirst(objx);!whole->Get()->Eol();whole->Get()->MoveNext(objx))
		plt->Add((objx->Type()==TO_WHOLE?MakeObjectXForPlot((XMWhole *)objx):objx));
	XMTRACE("-----------   CHECKING OF PLOT OBJECT   ------------------\n");
	//XMPlot *pltres;
	//pltres = (plt->Dim()==2?new XMPlot2D():new XMPlot3D());
	//delete plt;
	plt->Lecture();
	XMTRACE("-----------   END OF CHECKING   ------------------\n");
	XMTRACE("Fin de Plot\n");
	return plt;
}