#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <XMProtocol.h>
#include <FichierConf.h>


#ifndef XMCORE_H
#define XMCORE_H

typedef struct XMSender
{
	XMPipe *mPipe;
	XMQuery *mQuery;
	int mState;
	void Set(XMPipe *pipe, XMQuery *query, int &state)
	{
		mPipe = pipe;
		mQuery = query;
		mState = state;
	}
};

XMPipe *CreerPipe();
XMQuery *LireRequete(XMPipe *pipe);
int Dispatche(XMQuery *pQuery);
void *TraiterRequete(void *sender);
int EnvoyerReponse(XMPipe *pipe, XMReponse *pReponse);
int DeconnecterClient(XMPipe *pipe);
int FermerPipe(XMPipe *&pipe);

#endif  /* XMCORE_H */