#include <math.h>
#include "motor2D.h"

void Motor2D::Configure()
{
		// Mini						Maxi
	//Deltax = abs(mSysCoord->GetValAxe(0, 0)) + abs(mSysCoord->GetValAxe(0, 1));
	//Deltay = abs(mSysCoord->GetMinAxe(1, 0)) + abs(mSysCoord->GetMaxAxe(1, 1));

	Lo  = mScreen->GetLargeur()*(mSysCoord->GetValAxe(0, 0)/Deltax);
	Ho = mScreen->GetHauteur()*(mSysCoord->GetValAxe(0, 1)/Deltax);
}

void Motor2D::EvalXY(int &vld, TYPE *pt, TYPE *Res)
{
	Res[0] = EvalX(vld, pt);
	Res[1] = EvalY(vld, pt);
}

int Motor2D::EvalX(int &vld, TYPE *pt)
{
	vld = 1;
	return (int)(Lo + (mScreen->GetLargeur()*pt[0])/Deltax);
}


int Motor2D::EvalY(int &vld, TYPE *pt)
{
	vld = 1;
	return (int)(Ho - (mScreen->GetHauteur()*pt[1])/Deltay);
}