#ifndef VECTEUR_H
#define VECTEUR_H
#include "mobjectx.h"

class XMVecteur: public XMObjectX
{
        int mDim;
        XMObjectX **mVect;
       	public:
       	XMVecteur();
       	XMVecteur(XMVecteur &vect);
       	XMVecteur(int dim);
       	void SetDim(int dim);
       	int  GetDim();
       	void SetCoord(XMObjectX *mobj, int rg);
       	XMObjectX *GetCoord(int rg);
       	void DeleteCoord(int rg);
       	XMObjectX *Clone();
       	XMObjectX *Diff(char *x);
        char *Formatted();
       	XMObjectX *XEval(int &i, CList <XMObjectX *> *lvar=NULL){return (XMObjectX *)0;}
       	void  Lecture();
       	char  *Affiche();
       	char *EvalF(int &vld, CList <XMObjectX *> *lvar=NULL);
       	TYPE  Eval(int &vld, CList <XMObjectX *> *lvar=NULL);
       	~XMVecteur();
};

#endif	/* VECTEUR_H */