#ifndef XMGTHREAD_H
#define XMGTHREAD_H

#include <glib.h>
#include <pthread.h>

#define G_MICROSEC 1000000

class CGThread{};
typedef gpointer GPointer;
typedef pthread_attr_t GThreadAttr;
typedef int GThreadProperty;
typedef GHookFunc GThreadFunction;

void GThreadInit(GThreadFunctions* init);
GThreadAttr *GThreadAttrSetDetachState(GThreadAttr *pthread_attr, GThreadProperty prop=PTHREAD_CREATE_JOINABLE);
GThreadAttr *GThreadAttrInit(GThreadAttr *pthread_attr);
GPointer GThreadCreate(GThreadFunction func, GPointer data, GThreadAttr *pthread_attr);
void GThreadJoin(GPointer id, GPointer result);
void GThreadWait(double seconds);
void GThreadFree(GPointer data);

#endif  /* XMGTHREAD_H */