/*
bibliotheque Form
implementation file:bibliotheque.cc
*/
#include <bibliotheque.h>
#include <Core/type.h>
#include <Core/utils.h>
#include <VGlobal.h>
//#include <IMemory.h>
// Bibliotheque FORM  CLASS
/*
form constructor
*/
BibliothequeForm::BibliothequeForm(VDKForm* owner, char* title):
	VDKForm(owner,title)
{
	mMode = 0;
}

void BibliothequeForm::SetMode(int mode)
{
	char *Row[BIB_MAX_COLUMNS];
	XMObjectX *objectx;
	mMode = mode;
	switch (mMode)
	{
		// Bibliotheque standard
		case 1:
			mAjouter->Enabled = FALSE;
	       		mSupprimer->Enabled = FALSE;
	       		for (int i=0; XM_STANDARD_FUNCTIONS[i]; i += BIB_MAX_COLUMNS)
	       		{
	       			for(int j=0; j<BIB_MAX_COLUMNS; j++) Row[j] = XM_STANDARD_FUNCTIONS[i+j];
				mList->AddRow(Row);
	       		}
			break;
		// Bibliotheque EasyMaths
		case 2:
			mAjouter->Enabled = FALSE;
	       		mSupprimer->Enabled = FALSE;
	       		for (int i=0; XM_EASYMATHS_FUNCTIONS[i]; i += BIB_MAX_COLUMNS)
	       		{
	       			for(int j=0; j<BIB_MAX_COLUMNS; j++) Row[j] = XM_EASYMATHS_FUNCTIONS[i+j];
				mList->AddRow(Row);
	       		}
	       		break;
		// Bibliotheque utilisateur
		case 3:
			/*for (int i=0; objectx = GetMemory()->get(i); i ++)
	       		{
	       			Row[0] = GetGroupeName(objectx->Type());
	       			Row[1] = objectx->GetName();
	       			Row[2] = objectx->GetExp(1);
				mList->AddRow(Row);
	       		}*/
			break;
		default:
			break;
	}
}

/*
form destructor
*/
BibliothequeForm::~BibliothequeForm()
{
}

/*
form setup
*/
void
BibliothequeForm::Setup(void)
{
	GUISetup(); // vdkb gui setup
// put your code below here

}
