#include <FichierConf.h>

#define TAILLE_LIGNE		2000
#define DEBUT_COMMENTAIRE	'#'


FILE *OuvrirFichierConf(char *nom_fichier)
{
	return fopen(nom_fichier, "r");
}

char *LireParametreFichierConf(FILE *fichier, char *nom_section, char *nom_parametre)
{
	if (!fichier) return NULL;
	int EtatSection=-1;
	char *Result = NULL;
	char Buffer[TAILLE_LIGNE];
	char Section[strlen(nom_section)+3];
	char NomParametre[50], ValeurParametre[500], *Ptr;
	
	sprintf(Section, "[%s]", nom_section);
	while ((fscanf(fichier, "%s", &Buffer)) && (EtatSection <1))
	{
		if (Buffer[0] == DEBUT_COMMENTAIRE) continue;
		if (strstr(Buffer, Section)) {EtatSection=0; continue;}
		if (strstr(Buffer, "[")) {EtatSection=1; continue;}
		if (EtatSection == -1) continue;
		
		Ptr = strstr(Buffer, "=");
		strncpy(NomParametre, Buffer, Ptr - Buffer); NomParametre[Ptr - Buffer]='\0';
		if (!strcmp(NomParametre, nom_parametre))
		{
			Result = new char[strlen(Buffer)-strlen(NomParametre)+1];
			strncpy(Result, Ptr+1, strlen(Buffer)-strlen(NomParametre));Result[strlen(Buffer)-strlen(NomParametre)+1]='\0';
			break;
		}
	}
	return Result;
}

int EcrireParametreFichierConf(FILE *fichier, char *nom_section, char *nom_parametre, char *valeur_parametre)
{
	return 0;
}

int FermerFichierConf(FILE *fichier)
{
	fclose(fichier);
	return 0;
}