#include <stdlib.h>
#include "complexe.h"
#include "number.h"


CComplexe::CComplexe()
{
        Z=NULL;
}

CComplexe::CComplexe(CComplexe &z)
{
        Z=new SComplexe;
        Z->Re=z.Z->Re;
        Z->Im=z.Z->Im;
}

CComplexe::CComplexe(SComplexe &z)
{
        Z=new SComplexe;
        Z->Re=z.Re;
        Z->Im=z.Im;
}

CComplexe &CComplexe::operator= (CComplexe &z)
{
        Z=new SComplexe;
        Z->Re=z.Z->Re;
        Z->Im=z.Z->Im;
        return *this;
}

CComplexe CComplexe::operator+ (CComplexe &z)
{
        SComplexe zo;
        zo.Re= Z->Re + z.Z->Re;
        zo.Im= Z->Im + z.Z->Im;
        CComplexe Zo(zo);
        return Zo;
}

CComplexe CComplexe::operator* (CComplexe &z)
{
        SComplexe zo;
        zo.Re= Z->Re*z.Z->Re - Z->Im*z.Z->Im;
        zo.Im= Z->Im*z.Z->Re + Z->Re*z.Z->Im;
        CComplexe Zo(zo);
        return Zo;
}

/*
CComplexe::~CComplexe()
{
        if (Z) delete Z;
}
*/