#ifndef GESTIONOBJX_H
#define GESTIONOBJX_H
#include "reponse.h"
#include "type.h"
#include "Containers.h"

int SaveXMObjectX(void *obj);
class CAssistant
{
        private:
        	int mIDClient, mIDWrite;
        	char *Input;
        	CFile<Instruction> *MainFile;
        	//CFile<void *> *TempFile;
        public:
        	CAssistant();
        	CAssistant(CAssistant &assistant);
        	void Init();
        	void InitTete(ArbreM<STree> *aTree);
        	void InitExec(int end);
        	void InitArbre(ArbreM<STree> *aTree, void (*pd)(STree &), void (*pc)(STree &, STree &), void (*pa)(STree &));
        	
        	int SayAvance(int k, int stape=0, char *name=NULL);
	//friend	int SaveXMObjectX(void *obj);
	//friend 	XMObjectX *Get_XMObjectX(char *name);
        //	void Fusion(void *ptr);
        	void SetInput(char *Exp);
        	void Receptionneur();
        	CReponse *Erreur(); 
        	void *ErreurComplete();
        	void *EtablirEntete();
                void *CreationEntete();
                void *GenerationEntete();
                void *AnalyserType();
        	void *Compilation();
        	void *GenerationObjectX();
        	void *CreerType(Instruction *Inst);
                void *AppelerAssistant(char *calldata, int id_user, int port);
        	
        	void *Arbrer(char *Exp);
        	void *DeArbrer(ArbreM<STree> *aTree, void* (*TraiterArbre)(ArbreM<STree> *, SObjectX *pojx), void *(*makeReponse)(int , ArbreM<STree> *) = NULL, SObjectX *entete = NULL);
        	void *DeArbrerBis(ArbreM<STree> *aTree, void* (*TraiterArbre)(ArbreM<STree> *, SObjectX *pojx), SObjectX *pobjx=NULL);
        	void Lecture(ArbreM<STree> *aTree);
        	void Permuter(ArbreM<STree> *aTree, char *Exp);
        	void Supprimer(ArbreM<STree> *aTree, char *Exp);
        	
        	void ReleaseAndInitAll();
        	void ViderMainFile();
        	~CAssistant();
};

void ReleaseObjectX(SObjectX *&obj);
void ReleaseInstruction(Instruction *Inst);

int Done(char *S);
void RenvoyerEtat(char **Expo, char *Exp);
int EstCommande(char *Exp);
#endif
