#ifndef SYSCOORD_H
#define SYSCOORD_H
#include "Liste.h"
#include "intervalle.h"

class SysCoord: public XMObjectX
{
	CList <XMIntervalle *> *mAxes;
	int mDim;
public:
	SysCoord(){mType = TO_SYSCOORD;mAxes=NULL; mDim=0;}
	SysCoord(XMObjectX *ob);
	SysCoord(int dim);
	void ConfigureAxe(int no, char *nom, double min=-5, double max=5);
	void Add(XMIntervalle *in){if (!mAxes) mAxes = new CList<XMIntervalle *>;mAxes->Add(in);}
	char* GetNameAxe(int no){return ((mAxes)?mAxes->Get(no)->GetName():NULL);}
	double GetValAxe(int k, int born){return ((mAxes)?mAxes->Get(k)->GetVal(born):0);}// born: 0<==> Max, 1<==> Min;
	int Dim(){return ((mAxes)?mAxes->GetCount():0);}
	XMIntervalle *Intervalle(int k){return ((mAxes)?mAxes->Get(k):NULL);}
	CList <XMIntervalle *> *Intervalles(){XMTRACE("Intervalle renvoye\n");return mAxes;}
	
        char *Formatted(){return NULL;}
	TYPE  Eval(int &i, CList <XMObjectX *> *lvar=NULL){return 0;}
        char *EvalF(int &i, CList <XMObjectX *> *lvar=NULL){return (char *)0;}
        char *Affiche(){return (char *)0;}
        void  Lecture(){return ;}
        XMObjectX *XEval(int &i, CList <XMObjectX *> *lvar=NULL){return (XMObjectX *)0;}
        XMObjectX *Diff(char *x){return (XMObjectX *)0;}
        XMObjectX *Clone(){return (XMObjectX *)0;}
	
	~SysCoord();
};

#endif	/* SYSCOORD_H */