#ifndef UTILS_H
#define UTILS_H
#include "type.h"

void Decompress(char *ss, char **sd);

char *GetGroupOf(TOperator op);
char *GetCharOf(TOperator op);
TOperator GetTSOperator(char *exp);
TOperator GetTNSOperator(char *op);
TOperator IsSimpleOperator(char op);
TOperator IsKeyWord(char *exp);

SObjectX* MakeObjectXFromStree(STree *st);
TObjectX ConvertToTObjectX(TOperator op);
TObjectX DelimitToTObjectX(char *op);
char *GetGroupeName(TObjectX type);

#endif  /* UTILS_H */