#ifndef XMQUERY_H
#define XMQUERY_H

#define MAXI_LEN_QUERY		1026*1026
#define MAXI_LEN_REPONSE	1026


typedef struct XMPipe
{
	int  IDRead;
	int  IDWrite;
};

typedef struct XMQuery
{
	int  IDClient;
	int  IDQuery;
	char Query[MAXI_LEN_QUERY];
};

typedef struct XMReponse
{
	int  IDClient;
	int  IDReponse;
	char Reponse[MAXI_LEN_REPONSE];
};

typedef struct SCConnection  // Structure d'une connection cliente
{
	int	mID;	// Numero de la connection/IDClient
	XMPipe *mPipe;	// Objet de communication
};


#define XMSERVER_AVANCEMENT	0xF00
#define XMSERVER_XMOBJECTX	0xF01


#define CQUNKNOWN		0x000
#define CQCONNECTION		0x001
#define CQDECONNECTION		0x002   // Dconnection
#define CQSHUTDOWN		0x003
#define CQSCRIPT		0x010
#define CQFCN_TOTO		0x020
#define CQGETALLOBJECX		0x030


#define XMRUNKNOWN		0x100
#define XMRCONNECTION		0x101
#define XMRDECONNECTION		0x102
#define XMRSHUTDOWN		0x103
#define XMRERROR		0x104
#define XMROK			0x105
#define XMRINFO			0x106
#define XMRFREPONSE		0x110
#define XMRAVANCEMENT		0x111
#define XMRFCN_TOTO		0x120


#endif  /* XMCORE_H */